"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersonWritePatch = void 0;
class PersonWritePatch {
    static getAttributeTypeMap() {
        return PersonWritePatch.attributeTypeMap;
    }
}
exports.PersonWritePatch = PersonWritePatch;
PersonWritePatch.discriminator = undefined;
PersonWritePatch.attributeTypeMap = [
    {
        "name": "address",
        "baseName": "address",
        "type": "Address"
    },
    {
        "name": "birthDate",
        "baseName": "birthDate",
        "type": "string"
    },
    {
        "name": "cellPhone",
        "baseName": "cellPhone",
        "type": "string"
    },
    {
        "name": "cellPhoneVerified",
        "baseName": "cellPhoneVerified",
        "type": "boolean"
    },
    {
        "name": "deceasedDate",
        "baseName": "deceasedDate",
        "type": "string"
    },
    {
        "name": "displayName",
        "baseName": "displayName",
        "type": "string"
    },
    {
        "name": "email",
        "baseName": "email",
        "type": "string"
    },
    {
        "name": "emailVerified",
        "baseName": "emailVerified",
        "type": "boolean"
    },
    {
        "name": "firstName",
        "baseName": "firstName",
        "type": "string"
    },
    {
        "name": "gender",
        "baseName": "gender",
        "type": "Gender"
    },
    {
        "name": "homePhone",
        "baseName": "homePhone",
        "type": "string"
    },
    {
        "name": "lastName",
        "baseName": "lastName",
        "type": "string"
    },
    {
        "name": "maritalStatus",
        "baseName": "maritalStatus",
        "type": "MaritalStatus"
    },
    {
        "name": "middleName",
        "baseName": "middleName",
        "type": "string"
    },
    {
        "name": "nationalIds",
        "baseName": "nationalIds",
        "type": "Array<NationalId>"
    },
    {
        "name": "preferences",
        "baseName": "preferences",
        "type": "PreferencesPatch"
    }
];
