import { Consent, ConsentWrite, ConsentWritePatch, WrappedConsent, WrappedWithMetaArrayConsent } from "../api";
import { FindQueryParams, GetQueryParams } from "../model/queryParams";
import { Auth } from "./auth";
export declare class ConsentsClient {
    private client;
    constructor(basePath: string, auth: Auth);
    create(consent: ConsentWrite): Promise<WrappedConsent>;
    get(id: string, query?: GetQueryParams): Promise<WrappedConsent>;
    find(findParams?: FindQueryParams<Consent>): Promise<WrappedWithMetaArrayConsent>;
    patch(id: string, consent: ConsentWritePatch): Promise<WrappedConsent>;
}
