import { FindQueryParams, GetQueryParams } from "../model/queryParams";
import { Auth } from "./auth";
export interface GenericClientConfig {
    basePath: string;
    endpointPath: string;
    auth: Auth;
    writeTypeName: string;
    patchTypeName: string;
    singleResponseTypeName: string;
    multipleResponseTypeName: string;
}
export declare class GenericClient {
    private config;
    private httpClient;
    constructor(config: GenericClientConfig);
    create(data: any): Promise<any>;
    get(id: string, query?: GetQueryParams): Promise<any>;
    find(findParams?: FindQueryParams<any>): Promise<any>;
    patch(id: string, data: any): Promise<any>;
    remove(id: string): Promise<any>;
}
