import { Address } from './address';
import { Gender } from './gender';
import { MaritalStatus } from './maritalStatus';
import { NationalId } from './nationalId';
import { Preferences } from './preferences';
export declare class PersonWrite {
    'address'?: Address;
    'birthDate': string;
    'cellPhone'?: string;
    'cellPhoneVerified'?: boolean;
    'deceasedDate'?: string | null;
    'displayName': string;
    'email'?: string;
    'emailVerified'?: boolean;
    'firstName': string;
    'gender': Gender;
    'homePhone'?: string;
    'lastName': string;
    'maritalStatus': MaritalStatus;
    'middleName'?: string;
    'nationalIds'?: Array<NationalId>;
    'preferences'?: Preferences;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
