import { Filter } from "./filter";
export interface FindQueryParams<T> {
    limit?: number;
    offset?: number;
    page?: number;
    filter?: Filter<T>;
    fields?: string[];
    sort?: Sort[];
}
export interface GetQueryParams {
    fields?: string[];
}
export interface Sort {
    direction: "ascending" | 'descending';
    path: string;
}
export declare function serializeFindQueryParams<T>(p: FindQueryParams<T>): URLSearchParams;
export declare function serializeGetQueryParams(p: GetQueryParams): URLSearchParams;
