import { RoleAssignment, RoleAssignmentWrite, RoleAssignmentWritePatch, WrappedRoleAssignment, WrappedWithMetaArrayRoleAssignment } from "../api";
import { FindQueryParams, GetQueryParams } from "../model/queryParams";
import { Auth } from "./auth";
export declare class RoleAssignmentsClient {
    private client;
    constructor(basePath: string, auth: Auth);
    create(affiliation: RoleAssignmentWrite): Promise<WrappedRoleAssignment>;
    get(id: string, query?: GetQueryParams): Promise<WrappedRoleAssignment>;
    find(findParams?: FindQueryParams<RoleAssignment>): Promise<WrappedWithMetaArrayRoleAssignment>;
    patch(id: string, affiliation: RoleAssignmentWritePatch): Promise<WrappedRoleAssignment>;
    remove(id: string): Promise<WrappedRoleAssignment>;
}
